نشرة أمان Android - سبتمبر 2018

تنظيم صفحاتك في مجموعات يمكنك حفظ المحتوى وتصنيفه حسب إعداداتك المفضّلة.

تم النشر في ٤ سبتمبر ٢٠١٨ | تم التحديث في 5 سبتمبر 2018

تحتوي نشرة أمان Android على تفاصيل الثغرات الأمنية التي تؤثر على أجهزة Android. مستويات تصحيح الأمان 2018-09-05 أو ما بعده تعالج كل هذه المشكلات. لمعرفة كيفية التحقق من مستوى تصحيح الأمان لجهاز ، راجع التحقق من إصدار Android وتحديثه .

يتم إخطار شركاء Android بجميع المشكلات قبل شهر على الأقل من النشر. تم إصدار تصحيحات التعليمات البرمجية المصدر لهذه المشكلات إلى مستودع Android Open Source Project (AOSP) وربطها من هذه النشرة. تتضمن هذه النشرة أيضًا روابط إلى تصحيحات خارج AOSP.

إن أخطر هذه المشكلات هو وجود ثغرة أمنية خطيرة في إطار عمل الوسائط التي يمكن أن تمكن مهاجمًا عن بُعد باستخدام ملف تم إنشاؤه خصيصًا لتنفيذ تعليمات برمجية عشوائية في سياق عملية ذات امتيازات. يعتمد تقييم الخطورة على التأثير الذي قد يحدثه استغلال الثغرة الأمنية على الجهاز المتأثر ، بافتراض إيقاف تشغيل عمليات تخفيف النظام الأساسي والخدمة لأغراض التطوير أو إذا تم تجاوزها بنجاح.

لم يكن لدينا أي تقارير عن استغلال أو إساءة استخدام العملاء النشط لهذه المشكلات التي تم الإبلاغ عنها حديثًا. راجع قسم تخفيف Android و Google Play Protect للحصول على تفاصيل حول حماية نظام أمان Android و Google Play Protect ، والتي تعمل على تحسين أمان نظام Android الأساسي.

ملاحظة: تتوفر معلومات حول آخر تحديث عبر الهواء (OTA) وصور البرامج الثابتة لأجهزة Google في نشرة أمان Pixel / Nexus في سبتمبر 2018 .

عمليات التخفيف من خدمة Android و Google

هذا ملخص لعمليات التخفيف التي يوفرها نظام أمان Android الأساسي وخدمات حماية مثل Google Play Protect . تقلل هذه الإمكانات من احتمالية نجاح استغلال الثغرات الأمنية على Android.

  • أصبح استغلال العديد من المشكلات على Android أكثر صعوبة من خلال التحسينات في الإصدارات الأحدث من نظام Android الأساسي. نشجع جميع المستخدمين على التحديث إلى أحدث إصدار من Android حيثما أمكن ذلك.
  • يقوم فريق أمان Android بمراقبة إساءة الاستخدام بنشاط من خلال Google Play Protect ويحذر المستخدمين من التطبيقات التي يُحتمل أن تكون ضارة . يتم تمكين Google Play Protect افتراضيًا على الأجهزة المزودة بخدمات Google Mobile ، وهو مهم بشكل خاص للمستخدمين الذين يقومون بتثبيت التطبيقات من خارج Google Play.

2018-09-01 تفاصيل الثغرة الأمنية في مستوى تصحيح الأمان

في الأقسام أدناه ، نقدم تفاصيل عن كل ثغرة أمنية تنطبق على مستوى التصحيح 2018-09-01. يتم تجميع الثغرات الأمنية تحت المكون الذي تؤثر عليه. يوجد وصف للمشكلة وجدول مع CVE ، والمراجع المرتبطة بها ، ونوع الثغرة الأمنية ، والخطورة ، وإصدارات AOSP المحدثة (حيثما ينطبق ذلك). عند توفرها ، نربط التغيير العام الذي عالج المشكلة بمعرف الخطأ ، مثل قائمة تغيير AOSP. عندما تتعلق تغييرات متعددة بخلل واحد ، يتم ربط مراجع إضافية بأرقام تتبع معرّف الخطأ.

وقت تشغيل Android

يمكن أن تمكن الثغرة الأمنية الأكثر خطورة في هذا القسم مهاجمًا عن بُعد يستخدم ملفًا تم إنشاؤه خصيصًا لتنفيذ تعليمات برمجية عشوائية في سياق تطبيق يستخدم المكتبة.

CVE مراجع يكتب خطورة إصدارات AOSP المحدثة
CVE-2018-9466 أ -62151041 RCE عالٍ 7.0 ، 7.1.1 ، 7.1.2 ، 8.0 ، 8.1
CVE-2018-9467 أ -110955991 EoP عالٍ 7.0 ، 7.1.1 ، 7.1.2 ، 8.0 ، 8.1 ، 9

نطاق

يمكن أن تمكن الثغرة الأمنية الأكثر خطورة في هذا القسم مهاجمًا عن بُعد يستخدم ملفًا تم إنشاؤه خصيصًا لتنفيذ تعليمات برمجية عشوائية في سياق عملية لا تتمتع بامتيازات.

CVE مراجع يكتب خطورة إصدارات AOSP المحدثة
CVE-2018-9469 أ -109824443 EoP عالٍ 7.1.1 ، 7.1.2 ، 8.0 ، 8.1 ، 9
CVE-2018-9470 أ -78290481 EoP عالٍ 7.0 ، 7.1.1 ، 7.1.2 ، 8.0 ، 8.1 ، 9
CVE-2018-9471 A-77599679 EoP عالٍ 7.0 ، 7.1.1 ، 7.1.2 ، 8.0 ، 8.1 ، 9

مكتبة

يمكن أن تمكن الثغرة الأمنية الأكثر خطورة في هذا القسم مهاجمًا عن بُعد يستخدم ملفًا تم إنشاؤه خصيصًا لتنفيذ تعليمات برمجية عشوائية في سياق تطبيق يستخدم المكتبة.

CVE مراجع يكتب خطورة إصدارات AOSP المحدثة
CVE-2018-9472 أ -79662501 RCE عالٍ 7.0 ، 7.1.1 ، 7.1.2 ، 8.0 ، 8.1

الإطار الإعلامي

قد تؤدي أخطر ثغرة أمنية في هذا القسم إلى تمكين تطبيق ضار محلي من تجاوز متطلبات تفاعل المستخدم للوصول إلى أذونات إضافية.

CVE مراجع يكتب خطورة إصدارات AOSP المحدثة
CVE-2018-9474 A-77600398 EoP عالٍ 7.0 ، 7.1.1 ، 7.1.2 ، 8.0 ، 8.1 ، 9
CVE-2018-9440 A-77823362 [ 2 ] DoS معتدل 7.0 ، 7.1.1 ، 7.1.2 ، 8.0 ، 8.1 ، 9

نظام

يمكن أن تمكن الثغرة الأمنية الأكثر خطورة في هذا القسم مهاجمًا محليًا من تجاوز متطلبات تفاعل المستخدم للوصول إلى أذونات إضافية.

CVE مراجع يكتب خطورة إصدارات AOSP المحدثة
CVE-2018-9475 أ -79266386 EoP حرج 7.0 ، 7.1.1 ، 7.1.2 ، 8.0 ، 8.1 ، 9
CVE-2018-9478 A-79217522 EoP حرج 7.0 ، 7.1.1 ، 7.1.2 ، 8.0 ، 8.1 ، 9
CVE-2018-9479 A-79217770 EoP حرج 7.0 ، 7.1.1 ، 7.1.2 ، 8.0 ، 8.1 ، 9
CVE-2018-9456 A-78136869 DoS عالٍ 7.0 ، 7.1.1 ، 7.1.2 ، 8.0 ، 8.1
CVE-2018-9477 A-92497653 EoP عالٍ 8.0 ، 8.1
CVE-2018-9480 أ -109757168 بطاقة تعريف عالٍ 8.0 ، 8.1 ، 9
CVE-2018-9481 أ -109757435 بطاقة تعريف عالٍ 8.0 ، 8.1 ، 9
CVE-2018-9482 أ -109757986 بطاقة تعريف عالٍ 8.0 ، 8.1 ، 9
CVE-2018-9483 أ -110216173 بطاقة تعريف عالٍ 7.0 ، 7.1.1 ، 7.1.2 ، 8.0 ، 8.1 ، 9
CVE-2018-9484 أ -79488381 بطاقة تعريف عالٍ 7.0 ، 7.1.1 ، 7.1.2 ، 8.0 ، 8.1 ، 9
CVE-2018-9485 أ -80261585 بطاقة تعريف عالٍ 7.0 ، 7.1.1 ، 7.1.2 ، 8.0 ، 8.1 ، 9
CVE-2018-9486 أ -80493272 بطاقة تعريف عالٍ 7.0 ، 7.1.1 ، 7.1.2 ، 8.0 ، 8.1 ، 9
CVE-2018-9487 A-69873852 DoS عالٍ 8.0 ، 8.1 ، 9
CVE-2018-9488 أ -110107376 EoP معتدل 8.0 ، 8.1 ، 9

2018-09-05 تفاصيل الثغرة الأمنية في مستوى تصحيح الأمان

في الأقسام أدناه ، نقدم تفاصيل عن كل ثغرة أمنية تنطبق على مستوى التصحيح 2018-09-05. يتم تجميع الثغرات الأمنية ضمن المكون الذي تؤثر عليه وتتضمن تفاصيل مثل CVE والمراجع المرتبطة ونوع الثغرة الأمنية والخطورة والمكون (عند الاقتضاء) وإصدارات AOSP المحدثة (عند الاقتضاء). عند توفرها ، نربط التغيير العام الذي عالج المشكلة بمعرف الخطأ ، مثل قائمة تغيير AOSP. عندما تتعلق تغييرات متعددة بخلل واحد ، يتم ربط مراجع إضافية بأرقام تتبع معرّف الخطأ.

نطاق

قد تؤدي أخطر ثغرة أمنية في هذا القسم إلى تمكين تطبيق ضار محلي من تجاوز إجراءات حماية نظام التشغيل التي تعزل بيانات التطبيق عن التطبيقات الأخرى.

CVE مراجع يكتب خطورة إصدارات AOSP المحدثة
CVE-2018-9468 أ -111084083 بطاقة تعريف عالٍ 7.0 ، 7.1.1 ، 7.1.2 ، 8.0 ، 8.1 ، 9

مكونات النواة

يمكن أن تمكن أخطر ثغرة في هذا القسم مهاجمًا عن بُعد من الوصول إلى البيانات التي يمكن الوصول إليها عادةً فقط للتطبيقات المثبتة محليًا ذات الأذونات.

CVE مراجع يكتب خطورة مكون
CVE-2017-5754 A-69856074 *
نواة المنبع
بطاقة تعريف عالٍ ذاكرة النواة

مكونات كوالكوم

تؤثر هذه الثغرات الأمنية على مكونات Qualcomm ويتم وصفها بمزيد من التفصيل في نشرة أمان Qualcomm APSS المناسبة أو تنبيه الأمان. يمكن لشركاء Android التحقق من قابلية تطبيق مشكلاتهم على أجهزتهم من خلال Createpoint. يتم توفير تقييم خطورة هذه المشكلات مباشرة من قبل شركة Qualcomm.

CVE مراجع يكتب خطورة مكون
CVE-2018-11816 A-63527106
QC-CR # 2119840 *
غير متاح عالٍ فيديو
CVE-2018-11261 A-64340487
QC-CR # 2119840 *
غير متاح عالٍ فيديو
CVE-2018-11836 أ -111128620
QC-CR # 2214158
غير متاح عالٍ مضيف WLAN
CVE-2018-11842 أ -111124974
QC-CR # 2216741
غير متاح عالٍ مضيف WLAN
CVE-2018-11898 أ -111128799
QC-CR # 2233036
غير متاح عالٍ مضيف WLAN
CVE-2017-15825 أ -68992460
QC-CR # 2096455
غير متاح معتدل حذاء طويل
CVE-2018-11270 أ -109741697
QC-CR # 2205728
غير متاح معتدل اتصال سلكي

مكونات كوالكوم المغلقة المصدر

تؤثر هذه الثغرات الأمنية على مكونات Qualcomm ويتم وصفها بمزيد من التفصيل في نشرة أمان Qualcomm AMSS المناسبة أو تنبيه الأمان. يمكن لشركاء Android التحقق من قابلية تطبيق مشكلاتهم على أجهزتهم من خلال Createpoint. يتم توفير تقييم خطورة هذه المشكلات مباشرة من قبل شركة Qualcomm.

CVE مراجع يكتب خطورة مكون
CVE-2016-10394 A-68326803 * غير متاح حرج مكون مغلق المصدر
CVE-2017-18314 A-62213176 * غير متاح حرج مكون مغلق المصدر
CVE-2017-18311 A-73539234 * غير متاح حرج مكون مغلق المصدر
CVE-2018-11950 A-72950814 * غير متاح حرج مكون مغلق المصدر
CVE-2018-5866 A-77484228 * غير متاح حرج مكون مغلق المصدر
CVE-2018-11824 A-111090697 * غير متاح حرج مكون مغلق المصدر
CVE-2016-10408 A-68326811 * غير متاح عالٍ مكون مغلق المصدر
CVE-2017-18313 A-78240387 * غير متاح عالٍ مكون مغلق المصدر
CVE-2017-18312 A-78239234 * غير متاح عالٍ مكون مغلق المصدر
CVE-2017-18124 A-68326819 * غير متاح عالٍ مكون مغلق المصدر
CVE-2018-3588 A-71501117 * غير متاح عالٍ مكون مغلق المصدر
CVE-2018-11951 A-72950958 * غير متاح عالٍ مكون مغلق المصدر
CVE-2018-11952 A-74236425 * غير متاح عالٍ مكون مغلق المصدر
CVE-2018-5871 A-77484229 * غير متاح عالٍ مكون مغلق المصدر
CVE-2018-5914 A-79419793 * غير متاح عالٍ مكون مغلق المصدر
CVE-2018-11288 A-109677940 * غير متاح عالٍ مكون مغلق المصدر
CVE-2018-11285 A-109677982 * غير متاح عالٍ مكون مغلق المصدر
CVE-2018-11290 A-109677964 * غير متاح عالٍ مكون مغلق المصدر
CVE-2018-11292 A-109678202 * غير متاح عالٍ مكون مغلق المصدر
CVE-2018-11287 A-109678380 * غير متاح عالٍ مكون مغلق المصدر
CVE-2018-11846 A-111091377 * غير متاح عالٍ مكون مغلق المصدر
CVE-2018-11855 A-111090533 * غير متاح عالٍ مكون مغلق المصدر
CVE-2018-11857 A-111093202 * غير متاح عالٍ مكون مغلق المصدر
CVE-2018-11858 A-111090698 * غير متاح عالٍ مكون مغلق المصدر
CVE-2018-11866 A-111093021 * غير متاح عالٍ مكون مغلق المصدر
CVE-2018-11865 A-111093167 * غير متاح عالٍ مكون مغلق المصدر

أسئلة وأجوبة شائعة

يجيب هذا القسم على الأسئلة الشائعة التي قد تطرأ بعد قراءة هذه النشرة.

1. كيف يمكنني تحديد ما إذا كان قد تم تحديث جهازي لمعالجة هذه المشكلات؟

لمعرفة كيفية التحقق من مستوى تصحيح الأمان لجهاز ، راجع التحقق من إصدار Android وتحديثه .

  • تتناول مستويات تصحيح الأمان 2018-09-01 أو الإصدارات الأحدث جميع المشكلات المرتبطة بمستوى تصحيح الأمان 2018-09-01.
  • تتناول مستويات تصحيح الأمان لعام 2018-09-05 أو أحدث جميع المشكلات المرتبطة بمستوى تصحيح الأمان 2018-09-05 وجميع مستويات التصحيح السابقة.

يجب على الشركات المصنعة للأجهزة التي تتضمن هذه التحديثات تعيين مستوى سلسلة التصحيح على:

  • [ro.build.version.security_patch]: [2018-09-01]
  • [ro.build.version.security_patch]: [2018-09-05]

2. لماذا تحتوي هذه النشرة على مستويين من تصحيح الأمان؟

تحتوي هذه النشرة على مستويين من تصحيح الأمان بحيث يتمتع شركاء Android بالمرونة لإصلاح مجموعة فرعية من الثغرات الأمنية المتشابهة عبر جميع أجهزة Android بسرعة أكبر. يتم تشجيع شركاء Android على إصلاح جميع المشكلات الواردة في هذه النشرة واستخدام أحدث مستوى من تصحيح الأمان.

  • يجب أن تتضمن الأجهزة التي تستخدم مستوى تصحيح الأمان 2018-09-01 جميع المشكلات المرتبطة بمستوى تصحيح الأمان هذا ، بالإضافة إلى إصلاحات لجميع المشكلات التي تم الإبلاغ عنها في نشرات الأمان السابقة.
  • يجب أن تتضمن الأجهزة التي تستخدم مستوى تصحيح الأمان 2018-09-05 أو أحدث جميع التصحيحات القابلة للتطبيق في نشرات الأمان هذه (والسابقة).

يتم تشجيع الشركاء على تجميع الإصلاحات لجميع المشكلات التي يعالجونها في تحديث واحد.

3. ماذا تعني الإدخالات في عمود النوع ؟

تشير الإدخالات في عمود النوع في جدول تفاصيل الثغرات الأمنية إلى تصنيف الثغرة الأمنية.

اختصار تعريف
RCE تنفيذ التعليمات البرمجية عن بعد
EoP رفع الامتياز
بطاقة تعريف الإفصاح عن المعلومات
DoS الحرمان من الخدمة
غير متاح التصنيف غير متوفر

4. ماذا تعني الإدخالات في عمود المراجع ؟

قد تحتوي الإدخالات الموجودة ضمن عمود المراجع في جدول تفاصيل الثغرات الأمنية على بادئة تحدد المؤسسة التي تنتمي إليها القيمة المرجعية.

بادئة المرجعي
أ- معرف خطأ Android
QC- الرقم المرجعي لشركة Qualcomm
م- الرقم المرجعي MediaTek
ن- الرقم المرجعي لـ NVIDIA
ب- الرقم المرجعي من Broadcom

5. ماذا يعني * بجوار معرف خطأ Android في عمود المراجع ؟

المشكلات غير المتاحة للجمهور بها علامة * بجوار معرف خطأ Android في عمود المراجع . يتم تضمين التحديث الخاص بهذه المشكلة بشكل عام في أحدث برامج التشغيل الثنائية لأجهزة Pixel / Nexus المتوفرة من موقع Google Developer .

6. لماذا يتم تقسيم الثغرات الأمنية بين هذه النشرة ونشرات أمان الجهاز / الشريك ، مثل نشرة Pixel / Nexus؟

الثغرات الأمنية التي تم توثيقها في نشرة الأمن هذه مطلوبة للإعلان عن أحدث مستوى من تصحيح الأمان على أجهزة Android. الثغرات الأمنية الإضافية التي تم توثيقها في نشرات أمان الجهاز / الشريك غير مطلوبة للإعلان عن مستوى تصحيح الأمان. يتم تشجيع الشركات المصنعة لأجهزة Android ومجموعة الشرائح على توثيق وجود إصلاحات أخرى على أجهزتهم من خلال مواقع الأمان الخاصة بهم ، مثل نشرات الأمان Samsung أو LGE أو Pixel / Nexus .

إصدارات

إصدار تاريخ ملحوظات
1.0 4 سبتمبر 2018 تم نشر النشرة.
1.1 5 سبتمبر 2018 تمت مراجعة النشرة لتشمل روابط AOSP.